%global momorel 1
%global qtver 4.6.3
%global kdever 4.5.3
%global kdelibsrel 1m
%global kdepimlibsrel 1m
%global kdegraphicsrel 1m

Summary: KDE image Interface Plugins
Name: kipi-plugins
Version: 1.6.0
Release: %{momorel}m%{?dist}
License: GPLv2
Group: System Environment/Libraries
URL: http://www.kipi-plugins.org/drupal/
Source0: http://dl.sourceforge.net/sourceforge/kipi/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: %{name}-0.2.0-rc1-gcc44.patch
Patch1: %{name}-1.4.0-acquireimages-desktop.patch
Patch2: %{name}-1.4.0-expoblending-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: %{name}-libs = %{version}-%{release}
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: kdegraphics-libs >= %{kdever}-%{kdegraphicsrel}
Requires: ImageMagick
Requires: enblend
Requires: hugin
Requires: k3b
Requires: mjpegtools
Provides: kipi-plugins4
Obsoletes: kipi-plugins4
BuildRequires: qt-devel >= %{qtver}
BuildRequires: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildRequires: kdepimlibs-devel >= %{kdever}-%{kdepimlibsrel}
BuildRequires: kdegraphics-devel >= %{kdever}-%{kdegraphicsrel}
BuildRequires: cmake
BuildRequires: exiv2-devel >= 0.14
BuildRequires: expat-devel
BuildRequires: gettext
BuildRequires: glib2-devel
BuildRequires: gphoto2 >= 2.1.5-3m
BuildRequires: imlib2-devel >= 1.2.2-3m
BuildRequires: libexif-devel >= 0.6.16-2m
BuildRequires: libgphoto2-devel >= 2.1.5-4m
BuildRequires: libgpod-devel >= 0.7.0
BuildRequires: libjpeg-devel >= 8a
BuildRequires: libpng-devel
BuildRequires: libtiff-devel >= 3.5.0
BuildRequires: libtool
BuildRequires: libxml2
BuildRequires: libxslt-devel
BuildRequires: mjpegtools-devel >= 1.6.0
BuildRequires: opencv-devel >= 2.0.0

%description
The library of the KDE Image Plugin Interface.  

Libkipi allows image applications to use a plugin architecture 
for additional functionality  such as: RawConverter, SlideShow, 
MpegEncoder, ImagesGallery, PrintWizard, CdArchiving...

%package libs
Summary: Shared runtime libraries of kipi-plugins
Group: System Environment/Libraries

%description libs
This package contains shared runtime libraries of kipi-plugins.

%package devel
Summary: Header files and development libraries from kipi-lugins
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Provides: kipi-plugins4-devel
Obsoletes: kipi-plugins4-devel

%description devel
Libraries and includes files for developing programs based on kipi-plugins.

%prep
%setup -q

%patch0 -p1 -b .gcc44~
%patch1 -p1 -b .acquireimages-desktop-ja
%patch2 -p1 -b .expoblending-desktop-ja

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
	-DOpenCV_LIBS=%{_libdir}/ \
	-DOpenCV_INCLUDE_DIRS=%{_includedir}/opencv \
	..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post libs
/sbin/ldconfig

%postun libs
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* ChangeLog INSTALL NEWS README TODO tips
%{_kde4_bindir}/dngconverter
%{_kde4_bindir}/expoblending
%{_kde4_bindir}/scangui
%{_kde4_libdir}/kde4/kipiplugin_*.so
%{_kde4_datadir}/applications/kde4/dngconverter.desktop
%{_kde4_datadir}/applications/kde4/expoblending.desktop
%{_kde4_datadir}/applications/kde4/kipiplugins.desktop
%{_kde4_datadir}/applications/kde4/scangui.desktop
%{_kde4_appsdir}/kipiplugin_expoblending
%{_kde4_appsdir}/kipiplugin_flashexport
%{_kde4_appsdir}/kipiplugin_galleryexport
%{_kde4_appsdir}/kipiplugin_htmlexport
%{_kde4_appsdir}/kipiplugin_imageviewer
%{_kde4_appsdir}/kipiplugin_piwigoexport
%{_kde4_appsdir}/kipiplugin_printimages
%{_kde4_appsdir}/kipiplugin_removeredeyes
%{_kde4_iconsdir}/*/*/*/*.png
%{_kde4_iconsdir}/*/*/*/*.svgz
%{_kde4_datadir}/kde4/services/kipiplugin_*.desktop
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%files libs
%defattr(-, root, root)
%{_kde4_libdir}/libkipiplugins.so.*

%files devel
%defattr(-,root,root,-)
%doc HACKING
%{_kde4_libdir}/libkipiplugins.so

%changelog
* Thu Nov 25 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6.0-1m)
- version 1.6.0

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.0-2m)
- full rebuild for mo7 release

* Mon Aug 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.0-1m)
- version 1.4.0
- update acquireimages-desktop.patch and expoblending-desktop.patch

* Sun Jul 25 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.0-2m)
- split package libs

* Sun Jul 11 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.0-1m)
- version 1.3.0
- remove a switch stable6

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.0-3m)
- rebuild against qt-4.6.3-1m

* Sat Apr 10 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.0-2m)
- rebuild against libjpeg-8a

* Fri Apr  2 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.0-1m)
- version 1.2.0
- update acquireimages-desktop.patch and expoblending-desktop.patch 

* Mon Mar  8 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.0-3m)
- rebuild against opencv-2.0.0

* Sat Feb  6 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.0-2m)
- add a switch stable6

* Tue Feb  2 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.0-1m)
- version 1.1.0
- add expoblending-desktop.patch
- update acquireimages-desktop.patch

* Tue Dec 22 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-1m)
- version 1.0.0
- update acquireimages-desktop.patch

* Thu Dec 10 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-2m)
- rebuild against kdegraphics-4.3.80

* Wed Dec  2 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-1m)
- version 0.9.0
- update acquireimages-desktop.patch

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.0-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Nov  2 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.0-1m)
- version 0.8.0
- add acquireimages-desktop.patch

* Mon Sep 28 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.0-1m)
- version 0.7.0

* Fri Sep 11 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.6.0-2m)
- rebuild against libjpeg-7

* Sun Aug 30 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.0-1m)
- version 0.6.0

* Sat Aug  8 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.0-2m)
- set %%global kdever 4.3.0 for automatic building of STABLE_6

* Tue Aug  4 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.0-1m)
- version 0.5.0

* Sat Jul 11 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.0-1m)
- version 0.4.0

* Wed May 13 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-1m)
- version 0.3.0

* Wed Mar 18 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-1m)
- version 0.2.0
- build with libgpod-0.7.0

* Mon Feb 16 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-0.8.1m)
- update to 0.2.0-rc2

* Wed Jan 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.0-0.7.2m)
- apply gcc44 patch

* Tue Jan 27 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-0.7.1m)
- update to 0.2.0-rc1

* Fri Jan 23 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-0.6.3m)
- fix up Provides and Obsoletes

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.0-0.6.2m)
- rebuild against rpm-4.6

* Fri Jan  9 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-0.6.1m)
- update to 0.2.0-beta6

* Wed Dec 31 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-0.5.3m)
- completely switch to version 0.2.0 for new digikam
- build with new kdegraphics
- move libkipiplugins.so to %%{_libdir}/
- add conflicted files with kipi-plugin-0.1.7
- Provides: and Obsoletes: kipi-plugin4

* Sun Dec 28 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-0.5.2m)
- build with opencv

* Wed Dec 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-0.5.1m)
- update to 0.2.0-beta5

* Mon Dec 15 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.7-1m)
- version 0.1.7

* Sat Nov 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-0.4.2m)
- rebuild against kdegraphics-4.1.80

* Sat Nov 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-0.4.1m)
- update to 0.2.0-beta4
- add override-pkgconfig.patch

* Fri Oct 31 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-0.3.1m)
- update to version 0.2.0-beta3

* Mon Oct 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-0.2.3m)
- revive %%{_datadir}/apps/kipiplugin_galleryexport

* Mon Oct 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.6-1m)
- version 0.1.6

* Tue Oct 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.0-0.2.2m)
- remove conflicting files with kipi-plugins-0.1.5

* Mon Oct 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.0-0.2.1m)
- rebuild against kdegraphicss-4.1.69-1m

* Sun Aug 31 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-0.20080831.1m)
- update to 20080831 svn snapshot
- remove disable-metadataedit.patch

- * Sun Aug 31 2008 NARITA Koichi <pulsar@momonga-linux.org>
- - (0.2.0-0.20080704.2m)
- - rebuild against kdegraphics-4.1.63-1m

* Fri Jul  4 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-0.20080704.1m)
- update to 20080704 svn snapshot for KDE 4.1 Beta 2+

* Fri Jul  4 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.5-6m)
- modify for kipi-plugins4

* Mon Jun  2 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.5-5m)
- rebuild without kdepim

* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.5-4m)
- revise %%{_docdir}/HTML/*/kipi-plugins/common

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.5-3m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.5-2m)
- rebuild against gcc43

* Mon Mar 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.5-1m)
- version 0.1.5

* Sun Feb 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.4-7m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.4-6m)
- %%NoSource -> NoSource

* Wed Nov 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.4-5m)
- rebuild against libgpod-0.6.0

* Tue Sep 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.4-4m)
- rebuild against libgpod-0.5.2

* Tue Sep 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.4-3m)
- rebuild against libkexiv2-1.1.6 and libkdcraw-1.1.2
- License: GPLv2

* Thu Jul  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1.4-2m)
- add version at BuildPreReq: libkdcraw-devel >= 0.1.1

* Tue Jul  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.4-1m)
- version 0.1.4
- remove libkexiv2 patches

* Sun May 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-6m)
- rebuild against libkexiv2-0.1.5

* Fri Apr 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-5m)
- rebuild against libkexiv2-0.1.2-2m
- import libkexiv2 patches from cooker

* Wed Mar 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-4m)
- clean up spec file

* Mon Mar  5 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-3m)
- rebuild against exiv2-0.13

* Wed Feb 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.3-2m)
- rebuild against kdelibs etc.

* Fri Jan 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-1m)
- version 0.1.3
- add kipi-plugins-0.1.3-libgpod-0.4.2.patch
  http://bugs.kde.org/show_bug.cgi?id=140279
- BuildPreReq: libgpod-devel >= 0.4.2, glib-devel
- remove disable_ipod.patch.bz2
- remove detect-libgpod.patch

* Thu Dec 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-0.2.1m)
- update to version 0.1.3-rc1
- add detect-libgpod.patch

* Sun Dec 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.3-0.1.1m)
- update to version 0.1.3-beta1
- apply disable_ipod.patch

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.2-1m)
- rebuild against kdelibs-3.5.4-3m

* Tue Jul 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.2-1m)
- version 0.1.2

* Mon Jul 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-1m)
- version 0.1.1

* Sat Jun 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.3.5m)
- fix symlinks

* Sat Feb  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.3.4m)
- add --enable-new-ldflags to configure

* Sat Dec  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.3.3m)
- rebuild against libexif-0.6.12-1m

* Tue Nov 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.3.2m)
- rebuild against KDE 3.5 RC1

* Thu Oct 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.3.1m)
- update to version 0.1.0-rc1

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.2.2m)
- add --disable-rpath to configure

* Mon Jul 11 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.0-0.2.1m)
- initial package for Momonga Linux
- import Summary and %%description from cooker
